import { encodeAtomic } from "../encoder.mjs";
export function zeroOrMore(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(sequence)}*${options?.greedy === false ? '?' : ''}`
  };
}
export function oneOrMore(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(sequence)}+${options?.greedy === false ? '?' : ''}`
  };
}
export function optional(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(sequence)}?${options?.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=quantifiers.mjs.map