import type { CharacterClass, CharacterEscape, EncodedRegex } from '../types';
export declare function charClass(...elements: Array<CharacterClass | CharacterEscape>): CharacterClass;
export declare function charRange(start: string, end: string): CharacterClass;
export declare function anyOf(characters: string): CharacterClass;
export declare function negated(element: CharacterClass | CharacterEscape): EncodedRegex;
/**
 * @deprecated Renamed to `negated`.
 */
export declare const inverted: typeof negated;
