"use strict";

exports.word = exports.whitespace = exports.notWord = exports.notWhitespace = exports.notDigit = exports.nonWord = exports.nonWhitespace = exports.nonDigit = exports.digit = exports.any = void 0;
const any = exports.any = {
  precedence: 'atom',
  pattern: '.'
};
const digit = exports.digit = {
  precedence: 'atom',
  pattern: '\\d',
  chars: ['\\d']
};
const nonDigit = exports.nonDigit = {
  precedence: 'atom',
  pattern: '\\D',
  chars: ['\\D']
};
const word = exports.word = {
  precedence: 'atom',
  pattern: '\\w',
  chars: ['\\w']
};
const nonWord = exports.nonWord = {
  precedence: 'atom',
  pattern: '\\W',
  chars: ['\\W']
};
const whitespace = exports.whitespace = {
  precedence: 'atom',
  pattern: '\\s',
  chars: ['\\s']
};
const nonWhitespace = exports.nonWhitespace = {
  precedence: 'atom',
  pattern: '\\S',
  chars: ['\\S']
};
const notDigit = exports.notDigit = nonDigit;
const notWord = exports.notWord = nonWord;
const notWhitespace = exports.notWhitespace = nonWhitespace;
//# sourceMappingURL=char-escape.js.map