"use strict";

exports.oneOrMore = oneOrMore;
exports.optional = optional;
exports.zeroOrMore = zeroOrMore;
var _encoder = require("../encoder.js");
function zeroOrMore(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(sequence)}*${options?.greedy === false ? '?' : ''}`
  };
}
function oneOrMore(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(sequence)}+${options?.greedy === false ? '?' : ''}`
  };
}
function optional(sequence, options) {
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(sequence)}?${options?.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=quantifiers.js.map