"use strict";

Object.defineProperty(exports, "any", {
  enumerable: true,
  get: function () {
    return _charEscape.any;
  }
});
Object.defineProperty(exports, "anyOf", {
  enumerable: true,
  get: function () {
    return _charClass.anyOf;
  }
});
Object.defineProperty(exports, "buildPattern", {
  enumerable: true,
  get: function () {
    return _builders.buildPattern;
  }
});
Object.defineProperty(exports, "buildRegExp", {
  enumerable: true,
  get: function () {
    return _builders.buildRegExp;
  }
});
Object.defineProperty(exports, "capture", {
  enumerable: true,
  get: function () {
    return _capture.capture;
  }
});
Object.defineProperty(exports, "charClass", {
  enumerable: true,
  get: function () {
    return _charClass.charClass;
  }
});
Object.defineProperty(exports, "charRange", {
  enumerable: true,
  get: function () {
    return _charClass.charRange;
  }
});
Object.defineProperty(exports, "choiceOf", {
  enumerable: true,
  get: function () {
    return _choiceOf.choiceOf;
  }
});
Object.defineProperty(exports, "digit", {
  enumerable: true,
  get: function () {
    return _charEscape.digit;
  }
});
Object.defineProperty(exports, "endOfString", {
  enumerable: true,
  get: function () {
    return _anchors.endOfString;
  }
});
Object.defineProperty(exports, "inverted", {
  enumerable: true,
  get: function () {
    return _charClass.inverted;
  }
});
Object.defineProperty(exports, "lookahead", {
  enumerable: true,
  get: function () {
    return _lookahead.lookahead;
  }
});
Object.defineProperty(exports, "lookbehind", {
  enumerable: true,
  get: function () {
    return _lookbehind.lookbehind;
  }
});
Object.defineProperty(exports, "negated", {
  enumerable: true,
  get: function () {
    return _charClass.negated;
  }
});
Object.defineProperty(exports, "negativeLookahead", {
  enumerable: true,
  get: function () {
    return _negativeLookahead.negativeLookahead;
  }
});
Object.defineProperty(exports, "negativeLookbehind", {
  enumerable: true,
  get: function () {
    return _negativeLookbehind.negativeLookbehind;
  }
});
Object.defineProperty(exports, "nonDigit", {
  enumerable: true,
  get: function () {
    return _charEscape.nonDigit;
  }
});
Object.defineProperty(exports, "nonWhitespace", {
  enumerable: true,
  get: function () {
    return _charEscape.nonWhitespace;
  }
});
Object.defineProperty(exports, "nonWord", {
  enumerable: true,
  get: function () {
    return _charEscape.nonWord;
  }
});
Object.defineProperty(exports, "nonWordBoundary", {
  enumerable: true,
  get: function () {
    return _anchors.nonWordBoundary;
  }
});
Object.defineProperty(exports, "notDigit", {
  enumerable: true,
  get: function () {
    return _charEscape.notDigit;
  }
});
Object.defineProperty(exports, "notWhitespace", {
  enumerable: true,
  get: function () {
    return _charEscape.notWhitespace;
  }
});
Object.defineProperty(exports, "notWord", {
  enumerable: true,
  get: function () {
    return _charEscape.notWord;
  }
});
Object.defineProperty(exports, "notWordBoundary", {
  enumerable: true,
  get: function () {
    return _anchors.notWordBoundary;
  }
});
Object.defineProperty(exports, "oneOrMore", {
  enumerable: true,
  get: function () {
    return _quantifiers.oneOrMore;
  }
});
Object.defineProperty(exports, "optional", {
  enumerable: true,
  get: function () {
    return _quantifiers.optional;
  }
});
Object.defineProperty(exports, "ref", {
  enumerable: true,
  get: function () {
    return _capture.ref;
  }
});
Object.defineProperty(exports, "regex", {
  enumerable: true,
  get: function () {
    return _regex.regex;
  }
});
Object.defineProperty(exports, "repeat", {
  enumerable: true,
  get: function () {
    return _repeat.repeat;
  }
});
Object.defineProperty(exports, "startOfString", {
  enumerable: true,
  get: function () {
    return _anchors.startOfString;
  }
});
Object.defineProperty(exports, "whitespace", {
  enumerable: true,
  get: function () {
    return _charEscape.whitespace;
  }
});
Object.defineProperty(exports, "word", {
  enumerable: true,
  get: function () {
    return _charEscape.word;
  }
});
Object.defineProperty(exports, "wordBoundary", {
  enumerable: true,
  get: function () {
    return _anchors.wordBoundary;
  }
});
Object.defineProperty(exports, "zeroOrMore", {
  enumerable: true,
  get: function () {
    return _quantifiers.zeroOrMore;
  }
});
var _builders = require("./builders.js");
var _anchors = require("./constructs/anchors.js");
var _capture = require("./constructs/capture.js");
var _charClass = require("./constructs/char-class.js");
var _charEscape = require("./constructs/char-escape.js");
var _choiceOf = require("./constructs/choice-of.js");
var _lookahead = require("./constructs/lookahead.js");
var _lookbehind = require("./constructs/lookbehind.js");
var _negativeLookahead = require("./constructs/negative-lookahead.js");
var _negativeLookbehind = require("./constructs/negative-lookbehind.js");
var _quantifiers = require("./constructs/quantifiers.js");
var _regex = require("./constructs/regex.js");
var _repeat = require("./constructs/repeat.js");
//# sourceMappingURL=index.js.map