import { encode } from "../encoder.mjs";
export function capture(sequence, options) {
  const name = options?.name;
  if (name) {
    return {
      precedence: 'atom',
      pattern: `(?<${name}>${encode(sequence).pattern})`
    };
  }
  return {
    precedence: 'atom',
    pattern: `(${encode(sequence).pattern})`
  };
}
export function ref(name) {
  return {
    precedence: 'atom',
    pattern: `\\k<${name}>`,
    name
  };
}
//# sourceMappingURL=capture.mjs.map