import type { CharacterEscape, EncodedRegex } from '../types';
/**
 * Matches any single character.
 * Specifically this one is NOT a character escape.
 */
export declare const any: EncodedRegex;
export declare const digit: CharacterEscape;
export declare const nonDigit: CharacterEscape;
export declare const word: CharacterEscape;
export declare const nonWord: CharacterEscape;
export declare const whitespace: CharacterEscape;
export declare const nonWhitespace: CharacterEscape;
/**
 * @deprecated Renamed to `nonDigit`.
 */
export declare const notDigit: CharacterEscape;
/**
 * @deprecated Renamed to `nonWord`.
 */
export declare const notWord: CharacterEscape;
/**
 * @deprecated Renamed to `nonWhitespace`.
 */
export declare const notWhitespace: CharacterEscape;
